# Generated from xasin-telegram-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xasin-telegram

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Xasin's Telegram gem
License: GPL-3.0
URL: https://github.com/XasWorks/XasCode/tree/GEM_Telegram/Ruby/Telegram
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Multi-Purpose Telegram gem. Mainly for personal use, but also used as a
Telegram to MQTT Bridge for IoT devices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.3.0-1
- Initial package
